# -*- coding: utf-8 -*-
"""AstromExtension.

This module is part of the dataitem description.
All (concrete) dataitem classes have a one-to-one correspondence with
a specific FITS file type in the pipeline.

There are several base classes:
- Raw for raw data
- Img for processed images
- Cat for catalogs

This file is automatically generated. Do not modify!
"""

from micado.main.DataExtension import DataExtension, persistent


class AstromExtension(DataExtension):
    """Photom FITS Extension."""

    dummy_astromextension = persistent("dummy [][None]", int, 42)

    CD1_1 = persistent(
        "Gives the translation from array axis n to coordinate axis m. For images the "
        "comment should read SS.ss arcsec per pixel [CDn_ms][]",
        float,
        0.0,
    )

    CD1_2 = persistent(
        "Gives the translation from array axis n to coordinate axis m. For images the "
        "comment should read SS.ss arcsec per pixel [CDn_ms][]",
        float,
        0.0,
    )

    CD2_1 = persistent(
        "Gives the translation from array axis n to coordinate axis m. For images the "
        "comment should read SS.ss arcsec per pixel [CDn_ms][]",
        float,
        0.0,
    )

    CD2_2 = persistent(
        "Gives the translation from array axis n to coordinate axis m. For images the "
        "comment should read SS.ss arcsec per pixel [CDn_ms][]",
        float,
        0.0,
    )

    PV1 = persistent(
        "Describes the parameter k for the axis n. Required for certain coordinate "
        "types [PVn_ks][]",
        float,
        [0.0],
    )

    PV2 = persistent(
        "Describes the parameter k for the axis n. Required for certain coordinate "
        "types [PVn_ks][]",
        float,
        [0.0],
    )
