# -*- coding: utf-8 -*-
"""AstromRef.

This module is part of the dataitem description.
All (concrete) dataitem classes have a one-to-one correspondence with
a specific FITS file type in the pipeline.

There are several base classes:
- Raw for raw data
- Img for processed images
- Cat for catalogs

This file is automatically generated. Do not modify!
"""

from micado.dataitems.DistortionRefBase import DistortionRefBase, persistent


class AstromRef(DistortionRefBase):
    """AstromRef.

    Catalog with (ra,dec) of on-sky astrometric reference standards. Input
    surveys: Gaia and Euclid.
    """

    dummy_astromref = persistent("dummy [][None]", int, 42)
