# -*- coding: utf-8 -*-
"""Astromfield.

This module is part of the dataitem description.
All (concrete) dataitem classes have a one-to-one correspondence with
a specific FITS file type in the pipeline.

There are several base classes:
- Raw for raw data
- Img for processed images
- Cat for catalogs

This file is automatically generated. Do not modify!
"""

from micado.main.Sky import Sky, persistent
from micado.templates.MicadoImgCalRefstars import MicadoImgCalRefstars
from micado.dataitems.AstromfieldExtension import AstromfieldExtension


class Astromfield(Sky):
    """Raw data for distortion determination."""

    dummy_astromfield = persistent("dummy [][None]", int, 42)

    template = persistent("The template [][None]", MicadoImgCalRefstars, None)

    extensions = persistent("AstromfieldExtensions [][None]", AstromfieldExtension, [])
