# -*- coding: utf-8 -*-
"""Background.

This module is part of the dataitem description.
All (concrete) dataitem classes have a one-to-one correspondence with
a specific FITS file type in the pipeline.

There are several base classes:
- Raw for raw data
- Img for processed images
- Cat for catalogs

This file is automatically generated. Do not modify!
"""

from micado.main.Img import persistent
from micado.dataitems.DetrendBkgfield import DetrendBkgfield
from micado.recipes.McdImgBackground import McdImgBackground
from micado.dataitems.BackgroundExtension import BackgroundExtension
from micado.dataitems.BackgroundQC import BackgroundQC
from micado.dataitems.BackgroundExtra import BackgroundExtra


class Background(BackgroundExtra):
    """Background per detector."""

    dummy_background = persistent("dummy [][None]", int, 42)

    filtname = persistent("Filter name [INS FILT NAME][None]", str, "")

    tpl__start = persistent("Start time of template [TPL START][None]", float, 0.0)

    detrends = persistent(
        "Flatfielded and Dedarked observations [][None]", DetrendBkgfield, []
    )

    recipe = persistent("The recipe [][None]", McdImgBackground, None)

    extensions = persistent("BackgroundExtensions [][None]", BackgroundExtension, [])

    qc = persistent("Quality Control parameters [][None]", BackgroundQC, None)
