# -*- coding: utf-8 -*-
"""BackgroundQC.

This module is part of the dataitem description.
All (concrete) dataitem classes have a one-to-one correspondence with
a specific FITS file type in the pipeline.

There are several base classes:
- Raw for raw data
- Img for processed images
- Cat for catalogs

This file is automatically generated. Do not modify!
"""

from micado.dataitems.QCParameters import QCParameters, persistent


class BackgroundQC(QCParameters):
    """BackgroundQC."""

    dummy_backgroundqc = persistent("dummy [][None]", int, 42)

    background_backgroundmean = persistent(
        "mean value of the pixels in the image per detector n. [QC BACKGROUNDMEAn][ADU]",
        float,
        -1.0,
    )

    background_backgroundmedn = persistent(
        "median of the pixel values in the image per detector n. [QC "
        "BACKGROUNDMEDn][ADU]",
        float,
        -1.0,
    )

    background_backgroundstdn = persistent(
        "standard deviation of the pixel values in the image per detector n. [QC "
        "BACKGROUNDSTDn][ADU]",
        float,
        -1.0,
    )
