# -*- coding: utf-8 -*-
"""CalibratedCatalogQC.

This module is part of the dataitem description.
All (concrete) dataitem classes have a one-to-one correspondence with
a specific FITS file type in the pipeline.

There are several base classes:
- Raw for raw data
- Img for processed images
- Cat for catalogs

This file is automatically generated. Do not modify!
"""

from micado.dataitems.QCParameters import QCParameters, persistent


class CalibratedCatalogQC(QCParameters):
    """CalibratedCatalogQC."""

    dummy_calibratedcatalogqc = persistent("dummy [][None]", int, 42)

    CALIBRATEDCATALOG_NSOURCES = persistent(
        "number of sources in catalog. [QC CALIBCATNSOURCES][none]", float, -1.0
    )

    CALIBRATEDCATALOG_RAMEAN = persistent(
        "mean RA value of the sources in catalog in degrees. [QC CALIBCATRAMEA][degree]",
        float,
        -1.0,
    )

    CALIBRATEDCATALOG_DECMEAN = persistent(
        "mean DEC value of the sources in catalog in degrees. [QC "
        "CALIBCATDECMEA][degree]",
        float,
        -1.0,
    )

    CALIBRATEDCATALOG_RAMEDIAN = persistent(
        "median RA value of the sources in catalog in degrees. [QC "
        "CALIBCATRAMED][degree]",
        float,
        -1.0,
    )

    CALIBRATEDCATALOG_DECMEDIAN = persistent(
        "median DEC value of the sources in catalog in degrees. [QC "
        "CALIBCATDECMED][degree]",
        float,
        -1.0,
    )

    CALIBRATEDCATALOG_RASTD = persistent(
        "standard deviation RA value of the sources in catalog in degrees. [QC "
        "CALIBCATRASTD][degree]",
        float,
        -1.0,
    )

    CALIBRATEDCATALOG_DECSTD = persistent(
        "standard deviation DEC value of the sources in catalog in degrees. [QC "
        "CALIBCATDECSTD][degree]",
        float,
        -1.0,
    )
