# -*- coding: utf-8 -*-
"""CamRef.

This module is part of the dataitem description.
All (concrete) dataitem classes have a one-to-one correspondence with
a specific FITS file type in the pipeline.

There are several base classes:
- Raw for raw data
- Img for processed images
- Cat for catalogs

This file is automatically generated. Do not modify!
"""

from micado.dataitems.DistortionRefBase import DistortionRefBase, persistent


class CamRef(DistortionRefBase):
    """CamRef.

    Catalog with reference positions of the cold astrometric mask pinholes.
    """

    dummy_camref = persistent("dummy [][None]", int, 42)
