# -*- coding: utf-8 -*-
"""CoroBase.

This module is part of the dataitem description.
All (concrete) dataitem classes have a one-to-one correspondence with
a specific FITS file type in the pipeline.

There are several base classes:
- Raw for raw data
- Img for processed images
- Cat for catalogs

This file is automatically generated. Do not modify!
"""

from micado.main.SkyHCI import SkyHCI, persistent
from micado.templates.McdImgSciObjectHciBase import McdImgSciObjectHciBase
from micado.dataitems.CoroExtension import CoroExtension


class CoroBase(SkyHCI):
    """Base Coronography image."""

    dummy_corobase = persistent("dummy [][None]", int, 42)

    template = persistent("The template [][None]", McdImgSciObjectHciBase, None)

    extensions = persistent("CoroExtensions [][None]", CoroExtension, [])
