# -*- coding: utf-8 -*-
"""CoroOffset.

This module is part of the dataitem description.
All (concrete) dataitem classes have a one-to-one correspondence with
a specific FITS file type in the pipeline.

There are several base classes:
- Raw for raw data
- Img for processed images
- Cat for catalogs

This file is automatically generated. Do not modify!
"""

from micado.dataitems.CoroBase import CoroBase, persistent
from micado.templates.MicadoCoroCalStarvisible import MicadoCoroCalStarvisible


class CoroOffset(CoroBase):
    """CoroOffset.

    Image on bright point source with coronagraph in place. Star must be
    offset from coronagraph.
    """

    dummy_corooffset = persistent("dummy [][None]", int, 42)

    template = persistent("The template [][None]", MicadoCoroCalStarvisible, None)
