# -*- coding: utf-8 -*-
"""CubeHCIQC.

This module is part of the dataitem description.
All (concrete) dataitem classes have a one-to-one correspondence with
a specific FITS file type in the pipeline.

There are several base classes:
- Raw for raw data
- Img for processed images
- Cat for catalogs

This file is automatically generated. Do not modify!
"""

from micado.dataitems.QCParameters import QCParameters, persistent


class CubeHCIQC(QCParameters):
    """CubeHCIQC."""

    dummy_cubehciqc = persistent("dummy [][None]", int, 42)

    CUBEHCI_MEAN = persistent(
        "Mean of the pixel values in the cube image per exposure <i>. [QC "
        "CUBEMEAi][None]",
        float,
        0.0,
    )

    CUBEHCI_STDEV = persistent(
        "Standard deviation of the pixel values in the cube image per exposure <i>. [QC"
        " CUBESTDi][None]",
        float,
        0.0,
    )
