# -*- coding: utf-8 -*-
"""Dark.

This module is part of the dataitem description.
All (concrete) dataitem classes have a one-to-one correspondence with
a specific FITS file type in the pipeline.

There are several base classes:
- Raw for raw data
- Img for processed images
- Cat for catalogs

This file is automatically generated. Do not modify!
"""

from micado.main.Raw import Raw, persistent
from micado.templates.MicadoImgCalDark import MicadoImgCalDark
from micado.dataitems.DarkExtension import DarkExtension


class Dark(Raw):
    """Dark.

    Detector exposure without illumination (via block in pupil filter wheel
    and field restrictor).
    """

    dummy_dark = persistent("dummy [][None]", int, 42)

    template = persistent("The template [][None]", MicadoImgCalDark, None)

    extensions = persistent("DarkExtensions [][None]", DarkExtension, [])
