# -*- coding: utf-8 -*-
"""DepersistedBkgfield.

This module is part of the dataitem description.
All (concrete) dataitem classes have a one-to-one correspondence with
a specific FITS file type in the pipeline.

There are several base classes:
- Raw for raw data
- Img for processed images
- Cat for catalogs

This file is automatically generated. Do not modify!
"""

from micado.dataitems.DepersistedSky import persistent
from micado.dataitems.Bkgfield import Bkgfield
from micado.dataitems.DepersistedBkgfieldExtra import DepersistedBkgfieldExtra


class DepersistedBkgfield(DepersistedBkgfieldExtra):
    """Persistence corrected image."""

    dummy_depersistedbkgfield = persistent("dummy [][None]", int, 42)

    raw = persistent("Raw data [][None]", Bkgfield, None)
