# -*- coding: utf-8 -*-
"""DepersistedCoroBackground.

This module is part of the dataitem description.
All (concrete) dataitem classes have a one-to-one correspondence with
a specific FITS file type in the pipeline.

There are several base classes:
- Raw for raw data
- Img for processed images
- Cat for catalogs

This file is automatically generated. Do not modify!
"""

from micado.dataitems.DepersistedCoroBase import DepersistedCoroBase, persistent
from micado.dataitems.CoroBackground import CoroBackground


class DepersistedCoroBackground(DepersistedCoroBase):
    """Persistence corrected image."""

    dummy_depersistedcorobackground = persistent("dummy [][None]", int, 42)

    raw = persistent("Raw data [][None]", CoroBackground, None)
