# -*- coding: utf-8 -*-
"""DepersistedQC.

This module is part of the dataitem description.
All (concrete) dataitem classes have a one-to-one correspondence with
a specific FITS file type in the pipeline.

There are several base classes:
- Raw for raw data
- Img for processed images
- Cat for catalogs

This file is automatically generated. Do not modify!
"""

from micado.dataitems.QCParameters import QCParameters, persistent


class DepersistedQC(QCParameters):
    """DepersistedQC."""

    dummy_depersistedqc = persistent("dummy [][None]", int, 42)

    DEPERSISTED_MEAN = persistent("QC DEPERSISTEDMEAn [][None]", float, 0.0)

    DEPERSISTED_STD = persistent("QC DEPERSISTEDSTDn [][None]", float, 0.0)

    DEPERSISTED_MEDIAN = persistent("QC DEPERSISTEDMEDn [][None]", float, 0.0)
