# -*- coding: utf-8 -*-
"""DepersistedSky.

This module is part of the dataitem description.
All (concrete) dataitem classes have a one-to-one correspondence with
a specific FITS file type in the pipeline.

There are several base classes:
- Raw for raw data
- Img for processed images
- Cat for catalogs

This file is automatically generated. Do not modify!
"""

from micado.dataitems.DepersistedOpt import DepersistedOpt, persistent
from micado.main.Sky import Sky


class DepersistedSky(DepersistedOpt):
    """Persistence corrected image."""

    dummy_depersistedsky = persistent("dummy [][None]", int, 42)

    ra = persistent("Right Ascension [OBS RA][deg]", float, 0.0)

    dec = persistent("Declination [OBS DEC][deg]", float, 0.0)

    raw = persistent("Raw data [][None]", Sky, None)
