# -*- coding: utf-8 -*-
"""DetrendBkgfield.

This module is part of the dataitem description.
All (concrete) dataitem classes have a one-to-one correspondence with
a specific FITS file type in the pipeline.

There are several base classes:
- Raw for raw data
- Img for processed images
- Cat for catalogs

This file is automatically generated. Do not modify!
"""

from micado.dataitems.DetrendBase import persistent
from micado.dataitems.DepersistedBkgfield import DepersistedBkgfield
from micado.dataitems.DetrendBkgfieldExtra import DetrendBkgfieldExtra


class DetrendBkgfield(DetrendBkgfieldExtra):
    """Detrend for Background determination."""

    dummy_detrendbkgfield = persistent("dummy [][None]", int, 42)

    raw = persistent("Raw Bkgfield Image. [][None]", DepersistedBkgfield, None)
