# -*- coding: utf-8 -*-
"""DetrendCam.

This module is part of the dataitem description.
All (concrete) dataitem classes have a one-to-one correspondence with
a specific FITS file type in the pipeline.

There are several base classes:
- Raw for raw data
- Img for processed images
- Cat for catalogs

This file is automatically generated. Do not modify!
"""

from micado.dataitems.DetrendBase import DetrendBase, persistent
from micado.dataitems.DepersistedCam import DepersistedCam


class DetrendCam(DetrendBase):
    """Detrend for distortion calibration."""

    dummy_detrendcam = persistent("dummy [][None]", int, 42)

    raw = persistent("Depersited CAM Image. [][None]", DepersistedCam, None)
