# -*- coding: utf-8 -*-
"""DetrendCoroBackground.

This module is part of the dataitem description.
All (concrete) dataitem classes have a one-to-one correspondence with
a specific FITS file type in the pipeline.

There are several base classes:
- Raw for raw data
- Img for processed images
- Cat for catalogs

This file is automatically generated. Do not modify!
"""

from micado.dataitems.DetrendHCIBase import DetrendHCIBase, persistent
from micado.dataitems.DepersistedCoroBackground import DepersistedCoroBackground


class DetrendCoroBackground(DetrendHCIBase):
    """Coronagraphy background image."""

    dummy_detrendcorobackground = persistent("dummy [][None]", int, 42)

    raw = persistent(
        "Raw HCI background image [][None]", DepersistedCoroBackground, None
    )
