# -*- coding: utf-8 -*-
"""DetrendFinalSiaiBase.

This module is part of the dataitem description.
All (concrete) dataitem classes have a one-to-one correspondence with
a specific FITS file type in the pipeline.

There are several base classes:
- Raw for raw data
- Img for processed images
- Cat for catalogs

This file is automatically generated. Do not modify!
"""

from micado.dataitems.DetrendFinalBase import DetrendFinalBase, persistent
from micado.dataitems.DetrendSiaiBase import DetrendSiaiBase


class DetrendFinalSiaiBase(DetrendFinalBase):
    """DetrendFinalSiaiBase.

    Image which has been corrected for instrumental effects, and background
    subtracted.
    """

    dummy_detrendfinalsiaibase = persistent("dummy [][None]", int, 42)

    detrend = persistent("Detrended Science Image [][None]", DetrendSiaiBase, None)
