# -*- coding: utf-8 -*-
"""DetrendPupil.

This module is part of the dataitem description.
All (concrete) dataitem classes have a one-to-one correspondence with
a specific FITS file type in the pipeline.

There are several base classes:
- Raw for raw data
- Img for processed images
- Cat for catalogs

This file is automatically generated. Do not modify!
"""

from micado.dataitems.DetrendHCIBase import DetrendHCIBase, persistent
from micado.dataitems.DepersistedCoroPupil import DepersistedCoroPupil


class DetrendPupil(DetrendHCIBase):
    """DetrendPupil.

    Pupil image which has been corrected for instrumental effects for HCI, and
    background subtracted.
    """

    dummy_detrendpupil = persistent("dummy [][None]", int, 42)

    raw = persistent("A CoroPupil image. [][None]", DepersistedCoroPupil, None)
