# -*- coding: utf-8 -*-
"""DetrendSiaiBase.

This module is part of the dataitem description.
All (concrete) dataitem classes have a one-to-one correspondence with
a specific FITS file type in the pipeline.

There are several base classes:
- Raw for raw data
- Img for processed images
- Cat for catalogs

This file is automatically generated. Do not modify!
"""

from micado.dataitems.DetrendBase import DetrendBase, persistent
from micado.dataitems.DepersistedSiaiBase import DepersistedSiaiBase


class DetrendSiaiBase(DetrendBase):
    """DetrendSiaiBase.

    Image which has been corrected for instrumental effects, not background
    subtracted.
    """

    dummy_detrendsiaibase = persistent("dummy [][None]", int, 42)

    raw = persistent("Raw Science Image. [][None]", DepersistedSiaiBase, None)
