# -*- coding: utf-8 -*-
"""DistortionBase.

This module is part of the dataitem description.
All (concrete) dataitem classes have a one-to-one correspondence with
a specific FITS file type in the pipeline.

There are several base classes:
- Raw for raw data
- Img for processed images
- Cat for catalogs

This file is automatically generated. Do not modify!
"""

from micado.main.Tab import Tab, persistent
from micado.recipes.McdImgDistortion import McdImgDistortion
from micado.dataitems.DetrendFinalBase import DetrendFinalBase
from micado.dataitems.DistortionRefBase import DistortionRefBase
from micado.dataitems.DistortionQC import DistortionQC


class DistortionBase(Tab):
    """None."""

    dummy_distortionbase = persistent("dummy [][None]", int, 42)

    instname = persistent("ESO acronym for the instrument used. [INSTRUME][]", str, "")

    recipe = persistent("The recipe [][None]", McdImgDistortion, None)

    detrend = persistent("The input image [][None]", DetrendFinalBase, None)

    refcat = persistent("Reference data [][None]", DistortionRefBase, None)

    qc = persistent("Quality Control parameters [][None]", DistortionQC, None)
