# -*- coding: utf-8 -*-
"""DistortionElt.

This module is part of the dataitem description.
All (concrete) dataitem classes have a one-to-one correspondence with
a specific FITS file type in the pipeline.

There are several base classes:
- Raw for raw data
- Img for processed images
- Cat for catalogs

This file is automatically generated. Do not modify!
"""

from micado.dataitems.DistortionBase import DistortionBase, persistent
from micado.dataitems.DetrendFinalAstromfield import DetrendFinalAstromfield
from micado.dataitems.AstromRef import AstromRef
from micado.requirements.DPSdistortionELT import DPSdistortionELT


class DistortionElt(DistortionBase):
    """Distortion of the rest of the ELT."""

    dummy_distortionelt = persistent("dummy [][None]", int, 42)

    detrend = persistent("The input image [][None]", DetrendFinalAstromfield, None)

    refcat = persistent("Warm Astrometric Mask reference. [][None]", AstromRef, None)

    requirement = persistent("None [][None]", DPSdistortionELT, None)
