# -*- coding: utf-8 -*-
"""DistortionWam.

This module is part of the dataitem description.
All (concrete) dataitem classes have a one-to-one correspondence with
a specific FITS file type in the pipeline.

There are several base classes:
- Raw for raw data
- Img for processed images
- Cat for catalogs

This file is automatically generated. Do not modify!
"""

from micado.dataitems.DistortionBase import DistortionBase, persistent
from micado.dataitems.DetrendFinalWam import DetrendFinalWam
from micado.dataitems.WamRef import WamRef
from micado.requirements.DPSAOplusMICADOdistortion import DPSAOplusMICADOdistortion


class DistortionWam(DistortionBase):
    """Distortion as measured through the Warm Astrometric Mask."""

    dummy_distortionwam = persistent("dummy [][None]", int, 42)

    detrend = persistent("The input image [][None]", DetrendFinalWam, None)

    refcat = persistent("Warm Astrometric Mask reference. [][None]", WamRef, None)

    requirement = persistent("None [][None]", DPSAOplusMICADOdistortion, None)
