# -*- coding: utf-8 -*-
"""DpsicsOpt.

This module is part of the dataitem description.
All (concrete) dataitem classes have a one-to-one correspondence with
a specific FITS file type in the pipeline.

There are several base classes:
- Raw for raw data
- Img for processed images
- Cat for catalogs

This file is automatically generated. Do not modify!
"""

from micado.dataitems.DpsicsOptSciBase import DpsicsOptSciBase, persistent
from micado.templates.MicadoCoroAcqStar import MicadoCoroAcqStar


class DpsicsOpt(DpsicsOptSciBase):
    """Image taken during the optimization sequence."""

    dummy_dpsicsopt = persistent("dummy [][None]", int, 42)

    template = persistent("template [][None]", MicadoCoroAcqStar, None)
