# -*- coding: utf-8 -*-
"""Flat.

This module is part of the dataitem description.
All (concrete) dataitem classes have a one-to-one correspondence with
a specific FITS file type in the pipeline.

There are several base classes:
- Raw for raw data
- Img for processed images
- Cat for catalogs

This file is automatically generated. Do not modify!
"""

from micado.main.Opt import Opt, persistent
from micado.templates.MicadoImgCalFlat import MicadoImgCalFlat
from micado.dataitems.FlatExtension import FlatExtension


class Flat(Opt):
    """Raw exposure using the flatfield lamp in imaging mode."""

    dummy_flat = persistent("dummy [][None]", int, 42)

    filtname = persistent("Filter name [INS FILT NAME][None]", str, "")

    template = persistent("The template [][None]", MicadoImgCalFlat, None)

    extensions = persistent("FlatExtensions [][None]", FlatExtension, [])
