# -*- coding: utf-8 -*-
"""Illum.

This module is part of the dataitem description.
All (concrete) dataitem classes have a one-to-one correspondence with
a specific FITS file type in the pipeline.

There are several base classes:
- Raw for raw data
- Img for processed images
- Cat for catalogs

This file is automatically generated. Do not modify!
"""

from micado.main.Sky import Sky, persistent
from micado.templates.MicadoImgTecIllum import MicadoImgTecIllum
from micado.dataitems.IllumExtension import IllumExtension


class Illum(Sky):
    """Raw Science data for Illumination correction."""

    dummy_illum = persistent("dummy [][None]", int, 42)

    template = persistent("The template [][None]", MicadoImgTecIllum, None)

    extensions = persistent("IllumExtensions [][None]", IllumExtension, [])
