# -*- coding: utf-8 -*-
"""IllumCorrExtension.

This module is part of the dataitem description.
All (concrete) dataitem classes have a one-to-one correspondence with
a specific FITS file type in the pipeline.

There are several base classes:
- Raw for raw data
- Img for processed images
- Cat for catalogs

This file is automatically generated. Do not modify!
"""

from micado.main.DataExtension import DataExtension, persistent


class IllumCorrExtension(DataExtension):
    """IllumCorrExtension.

    Discrete component of the illumination correction: the gain per detector.
    """

    dummy_illumcorrextension = persistent("dummy [][None]", int, 42)

    gain = persistent("Gain of the detector [GAIN][e/adu]", float, 1.0)
