# -*- coding: utf-8 -*-
"""IllumCorrQC.

This module is part of the dataitem description.
All (concrete) dataitem classes have a one-to-one correspondence with
a specific FITS file type in the pipeline.

There are several base classes:
- Raw for raw data
- Img for processed images
- Cat for catalogs

This file is automatically generated. Do not modify!
"""

from micado.dataitems.QCParameters import QCParameters, persistent


class IllumCorrQC(QCParameters):
    """None."""

    dummy_illumcorrqc = persistent("dummy [][None]", int, 42)

    illum_n_match = persistent(
        "Number of sources matched to the reference catalog in each detector. [QC "
        "ILLUNMAT][None]",
        int,
        0,
    )

    illum_snr_median = persistent(
        "Median signal-to-noise ratio of sources matched to the reference catalog in "
        "each in each detector. [QC ILLSNRMD][None]",
        float,
        0.0,
    )
