# -*- coding: utf-8 -*-
"""MasterDarkQC.

This module is part of the dataitem description.
All (concrete) dataitem classes have a one-to-one correspondence with
a specific FITS file type in the pipeline.

There are several base classes:
- Raw for raw data
- Img for processed images
- Cat for catalogs

This file is automatically generated. Do not modify!
"""

from micado.dataitems.QCParameters import QCParameters, persistent


class MasterDarkQC(QCParameters):
    """MasterDarkQC."""

    dummy_masterdarkqc = persistent("dummy [][None]", int, 42)

    darkmean = persistent("Mean dark current [QC DARKMEAN][e/s]", float, 0.1)

    darkmed = persistent("Median dark current [QC DARKMED][e/s]", float, 0.1)

    darkrms = persistent(
        "Standard deviation of dark current [QC DARKSTD][e/s]", float, 0.01
    )

    npixsat = persistent("Number of saturated pixels [QC NPIXSAT][None]", int, 0)

    fpixsat = persistent(
        "Percentage of saturated pixels [QC FPIXSAT][None]", float, 0.0
    )
