# -*- coding: utf-8 -*-
"""MasterFlatQC.

This module is part of the dataitem description.
All (concrete) dataitem classes have a one-to-one correspondence with
a specific FITS file type in the pipeline.

There are several base classes:
- Raw for raw data
- Img for processed images
- Cat for catalogs

This file is automatically generated. Do not modify!
"""

from micado.dataitems.QCParameters import QCParameters, persistent


class MasterFlatQC(QCParameters):
    """MasterFlatQC."""

    dummy_masterflatqc = persistent("dummy [][None]", int, 42)

    flatmean = persistent(
        "Mean of pixel values before normalisation in each detector [QC FLATMEAN][adu]",
        float,
        1.0,
    )

    flatmed = persistent(
        "Median of pixel values before normalisation in each detector [QC FLATMED][adu]",
        float,
        1.0,
    )

    flatrms = persistent(
        "Standard deviation of pixel values before normalisation in each detector [QC "
        "FLATSTD][adu]",
        float,
        0.1,
    )

    npixhot = persistent("Number of hot pixels [QC NPIXHOT][None]", int, 0)

    fpixhot = persistent("Percentage of hot pixels [QC FPIXHOT][None]", float, 0.0)
