# -*- coding: utf-8 -*-
"""NonlinExtension.

This module is part of the dataitem description.
All (concrete) dataitem classes have a one-to-one correspondence with
a specific FITS file type in the pipeline.

There are several base classes:
- Raw for raw data
- Img for processed images
- Cat for catalogs

This file is automatically generated. Do not modify!
"""

from micado.main.DataExtensionImage import DataExtensionImage, persistent
from micado.hardware.Detector import Detector, default_detector


class NonlinExtension(DataExtensionImage):
    """Nonlin FITS Extension."""

    dummy_nonlinextension = persistent("dummy [][None]", int, 42)

    detector = persistent("Detector [][None]", Detector, default_detector)
