# -*- coding: utf-8 -*-
"""Nonlinearity.

This module is part of the dataitem description.
All (concrete) dataitem classes have a one-to-one correspondence with
a specific FITS file type in the pipeline.

There are several base classes:
- Raw for raw data
- Img for processed images
- Cat for catalogs

This file is automatically generated. Do not modify!
"""

from micado.main.Img import persistent
from micado.recipes.McdImgNonlinearity import McdImgNonlinearity
from micado.dataitems.Nonlin import Nonlin
from micado.requirements.DPSnonlinear import DPSnonlinear
from micado.dataitems.NonlinearityExtension import NonlinearityExtension
from micado.dataitems.NonlinearityQC import NonlinearityQC
from micado.dataitems.NonlinearityExtra import NonlinearityExtra


class Nonlinearity(NonlinearityExtra):
    """Nonlinearity correction cubes."""

    dummy_nonlinearity = persistent("dummy [][None]", int, 42)

    readmode = persistent(
        "Readout mode of the detector [DET READOUT][None]", str, "CDS"
    )

    recipe = persistent("The recipe [][None]", McdImgNonlinearity, None)

    flats = persistent(
        "A list of flats with different exposure times. [][None]", Nonlin, []
    )

    requirement = persistent("DPSnonlinear [][None]", DPSnonlinear, None)

    extensions = persistent(
        "NonlinearityExtensions [][None]", NonlinearityExtension, []
    )

    qc = persistent("Quality Control parameters [][None]", NonlinearityQC, None)
