# -*- coding: utf-8 -*-
"""NonlinearityQC.

This module is part of the dataitem description.
All (concrete) dataitem classes have a one-to-one correspondence with
a specific FITS file type in the pipeline.

There are several base classes:
- Raw for raw data
- Img for processed images
- Cat for catalogs

This file is automatically generated. Do not modify!
"""

from micado.dataitems.QCParameters import QCParameters, persistent


class NonlinearityQC(QCParameters):
    """None."""

    dummy_nonlinearityqc = persistent("dummy [][None]", int, 42)

    fitstd = persistent("Quality of fit. [QC FITSTD][None]", float, 0.0)

    niter = persistent("Number of iterations for fit. [QC NITER][None]", int, 0)
