# -*- coding: utf-8 -*-
"""PhotomRef.

This module is part of the dataitem description.
All (concrete) dataitem classes have a one-to-one correspondence with
a specific FITS file type in the pipeline.

There are several base classes:
- Raw for raw data
- Img for processed images
- Cat for catalogs

This file is automatically generated. Do not modify!
"""

from micado.main.Cat import Cat, persistent


class PhotomRef(Cat):
    """PhotomRef.

    Catalog with magnitudes of a photometric reference standards in a series
    of filters. Input surveys: JWST, Euclid YJH, VISTA surveys. Such catalogs
    are input for determination of zeropoints and/or illumination correction.
    """

    dummy_photomref = persistent("dummy [][None]", int, 42)
