# -*- coding: utf-8 -*-
"""PhotomScience.

This module is part of the dataitem description.
All (concrete) dataitem classes have a one-to-one correspondence with
a specific FITS file type in the pipeline.

There are several base classes:
- Raw for raw data
- Img for processed images
- Cat for catalogs

This file is automatically generated. Do not modify!
"""

from micado.dataitems.PhotomBase import PhotomBase, persistent
from micado.dataitems.DetrendFinal import DetrendFinal


class PhotomScience(PhotomBase):
    """Zeropoint and extinction coefficient, one pair per detector."""

    dummy_photomscience = persistent("dummy [][None]", int, 42)

    detrend = persistent("Detrended image [][None]", DetrendFinal, None)
