# -*- coding: utf-8 -*-
"""PhotomStdfield.

This module is part of the dataitem description.
All (concrete) dataitem classes have a one-to-one correspondence with
a specific FITS file type in the pipeline.

There are several base classes:
- Raw for raw data
- Img for processed images
- Cat for catalogs

This file is automatically generated. Do not modify!
"""

from micado.dataitems.PhotomBase import PhotomBase, persistent
from micado.dataitems.DetrendFinalStdfield import DetrendFinalStdfield


class PhotomStdfield(PhotomBase):
    """Zeropoint derived from Standard Field."""

    dummy_photomstdfield = persistent("dummy [][None]", int, 42)

    detrend = persistent(
        "Detrended image of Standard Field. [][None]", DetrendFinalStdfield, None
    )
