# -*- coding: utf-8 -*-
"""ScienceCoroWaffle.

This module is part of the dataitem description.
All (concrete) dataitem classes have a one-to-one correspondence with
a specific FITS file type in the pipeline.

There are several base classes:
- Raw for raw data
- Img for processed images
- Cat for catalogs

This file is automatically generated. Do not modify!
"""

from micado.dataitems.CoroBase import CoroBase, persistent
from micado.templates.MicadoCoroObsFpm import MicadoCoroObsFpm


class ScienceCoroWaffle(CoroBase):
    """Focal plane image of bright star with waffle pattern added."""

    dummy_sciencecorowaffle = persistent("dummy [][None]", int, 42)

    template = persistent("The template [][None]", MicadoCoroObsFpm, None)
