# -*- coding: utf-8 -*-
"""Stack.

This module is part of the dataitem description.
All (concrete) dataitem classes have a one-to-one correspondence with
a specific FITS file type in the pipeline.

There are several base classes:
- Raw for raw data
- Img for processed images
- Cat for catalogs

This file is automatically generated. Do not modify!
"""

from micado.main.Img import persistent
from micado.recipes.McdImgStack import McdImgStack
from micado.dataitems.Calibrated import Calibrated
from micado.dataitems.StackQC import StackQC
from micado.dataitems.StackExtra import StackExtra


class Stack(StackExtra):
    """Coaddition of calibrated images."""

    dummy_stack = persistent("dummy [][None]", int, 42)

    filtname = persistent("Filter name [INS FILT NAME][None]", str, "")

    tpl__start = persistent("Start time of template [TPL START][None]", float, 0.0)

    recipe = persistent("The recipe [][None]", McdImgStack, None)

    detrends = persistent("Calibrated Detrends [][None]", Calibrated, [])

    qc = persistent("Quality Control parameters [][None]", StackQC, None)
