# -*- coding: utf-8 -*-
"""StackQC.

This module is part of the dataitem description.
All (concrete) dataitem classes have a one-to-one correspondence with
a specific FITS file type in the pipeline.

There are several base classes:
- Raw for raw data
- Img for processed images
- Cat for catalogs

This file is automatically generated. Do not modify!
"""

from micado.dataitems.QCParameters import QCParameters, persistent


class StackQC(QCParameters):
    """StackQC."""

    dummy_stackqc = persistent("dummy [][None]", int, 42)

    STACK_MEAN = persistent("QC STACKMEAn [][None]", float, 0.0)

    STACK_STD = persistent("QC STACKSTDn [][None]", float, 0.0)

    STACK_MEDIAN = persistent("QC STACKMEDn [][None]", float, 0.0)
