# -*- coding: utf-8 -*-
"""StarcenterBase.

This module is part of the dataitem description.
All (concrete) dataitem classes have a one-to-one correspondence with
a specific FITS file type in the pipeline.

There are several base classes:
- Raw for raw data
- Img for processed images
- Cat for catalogs

This file is automatically generated. Do not modify!
"""

from micado.main.Tab import Tab, persistent
from micado.requirements.DPS3100SCI import DPS3100SCI
from micado.dataitems.StarcenterQC import StarcenterQC


class StarcenterBase(Tab):
    """StarcenterBase.

    Table with the star center during the OB on the detector. The position is
    in pixel units in the Pixel Grid Coordinate System.
    """

    dummy_starcenterbase = persistent("dummy [][None]", int, 42)

    requirement = persistent("DPS3100SCI [][None]", DPS3100SCI, None)

    qc = persistent("Quality Control parameters [][None]", StarcenterQC, None)
