# -*- coding: utf-8 -*-
"""StarcenterPupil.

This module is part of the dataitem description.
All (concrete) dataitem classes have a one-to-one correspondence with
a specific FITS file type in the pipeline.

There are several base classes:
- Raw for raw data
- Img for processed images
- Cat for catalogs

This file is automatically generated. Do not modify!
"""

from micado.dataitems.StarcenterBase import StarcenterBase, persistent
from micado.dataitems.DetrendFinalPupil import DetrendFinalPupil
from micado.recipes.McdImgStarposPupil import McdImgStarposPupil


class StarcenterPupil(StarcenterBase):
    """StarcenterPupil.

    Table with the star center during the OB on the detector. The position is
    in pixel units in the Pixel Grid Coordinate System.
    """

    dummy_starcenterpupil = persistent("dummy [][None]", int, 42)

    detrend = persistent("None [][None]", DetrendFinalPupil, None)

    recipe = persistent("The recipe [][None]", McdImgStarposPupil, None)
