# -*- coding: utf-8 -*-
"""StarcenterWaffle.

This module is part of the dataitem description.
All (concrete) dataitem classes have a one-to-one correspondence with
a specific FITS file type in the pipeline.

There are several base classes:
- Raw for raw data
- Img for processed images
- Cat for catalogs

This file is automatically generated. Do not modify!
"""

from micado.dataitems.StarcenterBase import StarcenterBase, persistent
from micado.dataitems.DetrendFinalWaffle import DetrendFinalWaffle
from micado.recipes.McdImgStarposWaffle import McdImgStarposWaffle


class StarcenterWaffle(StarcenterBase):
    """StarcenterWaffle.

    Table with the star center during the OB on the detector. The position is
    in pixel units in the Pixel Grid Coordinate System. Derived from waffle
    pattern.
    """

    dummy_starcenterwaffle = persistent("dummy [][None]", int, 42)

    detrend = persistent("None [][None]", DetrendFinalWaffle, None)

    recipe = persistent("The recipe [][None]", McdImgStarposWaffle, None)
