# -*- coding: utf-8 -*-
"""Stdfield.

This module is part of the dataitem description.
All (concrete) dataitem classes have a one-to-one correspondence with
a specific FITS file type in the pipeline.

There are several base classes:
- Raw for raw data
- Img for processed images
- Cat for catalogs

This file is automatically generated. Do not modify!
"""

from micado.main.Sky import Sky, persistent
from micado.templates.MicadoImgCalZeropoint import MicadoImgCalZeropoint
from micado.dataitems.StdfieldExtension import StdfieldExtension


class Stdfield(Sky):
    """Raw data for Photometric Zerpoint determination."""

    dummy_stdfield = persistent("dummy [][None]", int, 42)

    template = persistent("The template [][None]", MicadoImgCalZeropoint, None)

    extensions = persistent("StdfieldExtensions [][None]", StdfieldExtension, [])
