# -*- coding: utf-8 -*-
"""Wam.

This module is part of the dataitem description.
All (concrete) dataitem classes have a one-to-one correspondence with
a specific FITS file type in the pipeline.

There are several base classes:
- Raw for raw data
- Img for processed images
- Cat for catalogs

This file is automatically generated. Do not modify!
"""

from micado.dataitems.WamCamBase import WamCamBase, persistent
from micado.templates.MicadoImgCalWarmmask import MicadoImgCalWarmmask
from micado.dataitems.WamExtension import WamExtension


class Wam(WamCamBase):
    """Raw warm astrometric mask data for distortion determination."""

    dummy_wam = persistent("dummy [][None]", int, 42)

    template = persistent("The template [][None]", MicadoImgCalWarmmask, None)

    extensions = persistent("WamExtensions [][None]", WamExtension, [])
