# -*- coding: utf-8 -*-
"""Reflection.

This module is part of the hardware description.
All hardware clasess have a one-to-one correspondence with a class in
the irdb: https://github.com/AstarVienna/irdb

The base Hardware class has two subclasses:
- HardwareThing, which is Atmosphere/Telescope/Detector/... etc.
- Effect, which is Shotnoise/Nonlinearity/... etc.

These classes also provide default instances. The values of those
instances are derived from the IRDB.

In the future it might be better to generate these classes directly
from the IRDB.

This file is automatically generated. Do not modify!
"""

from micado.hardware.SurfaceList import SurfaceList, persistent


class Reflection(SurfaceList):
    """Telescope Reflection."""

    dummy_reflection = persistent("dummy [][None]", int, 42)

    realfilename = persistent(
        "File [TEL REF REALFILE][None]", str, "LIST_ELT_combined.tbl"
    )


default_reflection = Reflection(
    realfilename="LIST_ELT_combined.tbl",
)
