# -*- coding: utf-8 -*-
"""DataExtension.

This module is part of the base classes of MicadoWISE.

The idea is that the other packages only contain concrete classes, that
are derived from (effectively) abstract base classes in this package.

This file is automatically generated. Do not modify!
"""

from micado.main.DataHDU import DataHDU, persistent


class DataExtension(DataHDU):
    """Extension to a FITS file."""

    dummy_dataextension = persistent("dummy [][None]", int, 42)

    XTENSION = persistent(
        "Indicates start of an extension block in the FITS file. This keyword is "
        "mandatory for an extension header and must not appear in the primary header. "
        "Possible values are: 'TABLE   '    for ASCII tables 'BINTABLE'    for binary "
        "tables 'IMAGE   '    for image extensions [XTENSION][]",
        str,
        "IMAGE",
    )
