# -*- coding: utf-8 -*-
"""DataHDU.

This module is part of the base classes of MicadoWISE.

The idea is that the other packages only contain concrete classes, that
are derived from (effectively) abstract base classes in this package.

This file is automatically generated. Do not modify!
"""

from micado.main.MObject import MObject, persistent


class DataHDU(MObject):
    """FITS HDU or similar structure."""

    dummy_datahdu = persistent("dummy [][None]", int, 42)

    BITPIX = persistent(
        "Number of bits used to store pixel values Standard values are defined in "
        "NOST-100.0 The only valid values are: 8   character of unsigned binary integer"
        " 16  16-bit twos-complement binary integer 32  32-bit twos-complement binary "
        "integer -32  IEEE single precision floating point -64  IEEE double precision "
        "floating point [BITPIX][]",
        int,
        8,
    )

    NAXIS = persistent(
        "Number of axes of the data array (limited to less than 999). A value of 0 "
        "signifies that no data follow the header in the HDU (header and data unit). "
        "[NAXIS][]",
        int,
        0,
    )
