# -*- coding: utf-8 -*-
"""ObservingBlock.

This module is part of the base classes of MicadoWISE.

The idea is that the other packages only contain concrete classes, that
are derived from (effectively) abstract base classes in this package.

This file is automatically generated. Do not modify!
"""

from micado.main.MObject import persistent
from micado.main.Template import Template
from micado.main.ObservingBlockExtra import ObservingBlockExtra


class ObservingBlock(ObservingBlockExtra):
    """ObservingBlock."""

    dummy_observingblock = persistent("dummy [][None]", int, 42)

    name = persistent("Name of the observation [OBS NAME][None]", str, "")

    target = persistent("Target of the observation [OBS TARGET][None]", str, "")

    instrument = persistent(
        "ESO acronym for the instrument used. [OBS INSTRUME][None]", str, ""
    )

    templates = persistent("Templates to observe [][None]", Template, [])
