import os

MOCKCOMMON = os.environ.get("mockcommon", "")

try:
    import common
except ImportError:
    MOCKCOMMON = "True"

if not MOCKCOMMON:
    from common.config.Environment import ConfigFile
    from common.config.Environment import Env
    from common.database import DBSelect
    from common.database.ClassCache import classcache
    from common.database.DBMain import DBObject
    from common.database.DBMeta import DBObjectMeta
    from common.database.DBProperties import link_list_property
    from common.database.DBProperties import desc_list_property
    from common.database.DBProperties import link_property
    from common.database.DBProperties import desc_property
    from common.database.DBProperties import persistent_property
    from common.database.DataObject import DataObject
    from common.database.DataObject import persistent

    Env["mockcommon"] = ""

else:
    from micado.main.commonmock import (
        ConfigFile,
        Env,
        DBSelect,
        classcache,
        DBObject,
        DBObjectMeta,
        link_list_property,
        desc_list_property,
        link_property,
        desc_property,
        persistent_property,
        DataObject,
        persistent,
    )

__all__ = [
    "classcache",
    "link_list_property",
    "desc_list_property",
    "persistent_property",
    "Env",
    "ConfigFile",
    "persistent",
    "DBObjectMeta",
    "ConfigFile",
    "DBObject",
    "desc_property",
    "link_property",
    "DataObject",
    "DBSelect",
]
