# -*- coding: utf-8 -*-
"""ApplyIllumCorr.

This module is part of the CPL code descriptoin.

There are two kinds of classes in the recipe package:
- Recipe: with a one-to-one correspondence to the CPL recipes.
- RecipeStep: with a (kinda) one-to-one correspondence to DRL functions.

The Recipe instances effectively are process parameter classes in
WISE terminology.

This file is automatically generated. Do not modify!
"""

from micado.main.Img import Img, persistent
from micado.recipes.SubtractBackground import SubtractBackground
from micado.dataitems.IllumCorr import IllumCorr
from micado.main.RecipeStepExtra import RecipeStepBase


class ApplyIllumCorr(Img, RecipeStepBase):
    """Apply illumination correction.

    For each detector generate an illumination correction image and adapt the
    extensions as follows:

    * DATA: Multiply with the DATA layer of the illumination correction image.
    * ERR: Propagate the ERR layer of the illumination correction image
    assuming uncorrelated uncertainties.
    * DQ: Nothing.
    """

    dummy_applyillumcorr = persistent("dummy [][None]", int, 42)

    previous = persistent(
        "Images without background. [][None]", SubtractBackground, None
    )

    illum = persistent("Illumination Correction [][None]", IllumCorr, None)
