# -*- coding: utf-8 -*-
"""AssembleCube.

This module is part of the CPL code descriptoin.

There are two kinds of classes in the recipe package:
- Recipe: with a one-to-one correspondence to the CPL recipes.
- RecipeStep: with a (kinda) one-to-one correspondence to DRL functions.

The Recipe instances effectively are process parameter classes in
WISE terminology.

This file is automatically generated. Do not modify!
"""

from micado.main.Img import Img, persistent
from micado.dataitems.CalibHCI import CalibHCI
from micado.main.RecipeStepExtra import RecipeStepBase


class AssembleCube(Img, RecipeStepBase):
    """Assemble Cube."""

    dummy_assemblecube = persistent("dummy [][None]", int, 42)

    previous = persistent("None [][None]", CalibHCI, [])
