# -*- coding: utf-8 -*-
"""CorrectGeomDistortion.

This module is part of the CPL code descriptoin.

There are two kinds of classes in the recipe package:
- Recipe: with a one-to-one correspondence to the CPL recipes.
- RecipeStep: with a (kinda) one-to-one correspondence to DRL functions.

The Recipe instances effectively are process parameter classes in
WISE terminology.

This file is automatically generated. Do not modify!
"""

from micado.main.Cat import Cat, persistent
from micado.recipes.CreateSourceCatalogFinal import CreateSourceCatalogFinal
from micado.dataitems.DistortionWam import DistortionWam
from micado.dataitems.DistortionElt import DistortionElt
from micado.main.RecipeStepExtra import RecipeStepBase


class CorrectGeomDistortion(Cat, RecipeStepBase):
    """CorrectGeomDistortion.

    TODO: describe
    """

    dummy_correctgeomdistortion = persistent("dummy [][None]", int, 42)

    previous = persistent("Source Catalog [][None]", CreateSourceCatalogFinal, None)

    distortion_wam = persistent(
        "Distortion from WAM to detector. [][None]", DistortionWam, None
    )

    distortion_elt = persistent(
        "Distortion from Atmosphere to WAM. [][None]", DistortionElt, None
    )
