# -*- coding: utf-8 -*-
"""CorrectPosition.

This module is part of the CPL code descriptoin.

There are two kinds of classes in the recipe package:
- Recipe: with a one-to-one correspondence to the CPL recipes.
- RecipeStep: with a (kinda) one-to-one correspondence to DRL functions.

The Recipe instances effectively are process parameter classes in
WISE terminology.

This file is automatically generated. Do not modify!
"""

from micado.main.RecipeStep import RecipeStep, persistent
from micado.recipes.CorrectFlux import CorrectFlux
from micado.dataitems.StarcenterBase import StarcenterBase


class CorrectPosition(RecipeStep):
    """Apply position correction for HCI, in header space only."""

    dummy_correctposition = persistent("dummy [][None]", int, 42)

    previous = persistent("previous [][None]", CorrectFlux, None)

    starcenter = persistent("Star center [][None]", StarcenterBase, None)
