# -*- coding: utf-8 -*-
"""CreateSourceCatalog.

This module is part of the CPL code descriptoin.

There are two kinds of classes in the recipe package:
- Recipe: with a one-to-one correspondence to the CPL recipes.
- RecipeStep: with a (kinda) one-to-one correspondence to DRL functions.

The Recipe instances effectively are process parameter classes in
WISE terminology.

This file is automatically generated. Do not modify!
"""

from micado.recipes.CreateSourceCatalogBase import CreateSourceCatalogBase, persistent
from micado.dataitems.DetrendBase import DetrendBase
from micado.main.RecipeStepExtra import RecipeStepBase


class CreateSourceCatalog(CreateSourceCatalogBase, RecipeStepBase):
    """Create Source Catalog from DetrendBase."""

    dummy_createsourcecatalog = persistent("dummy [][None]", int, 42)

    inputs = persistent("flatfielded image [][None]", DetrendBase, None)
