# -*- coding: utf-8 -*-
"""CreateSourceCatalogCalibrated.

This module is part of the CPL code descriptoin.

There are two kinds of classes in the recipe package:
- Recipe: with a one-to-one correspondence to the CPL recipes.
- RecipeStep: with a (kinda) one-to-one correspondence to DRL functions.

The Recipe instances effectively are process parameter classes in
WISE terminology.

This file is automatically generated. Do not modify!
"""

from micado.recipes.CreateSourceCatalogBase import CreateSourceCatalogBase, persistent
from micado.dataitems.Calibrated import Calibrated
from micado.main.RecipeStepExtra import RecipeStepBase


class CreateSourceCatalogCalibrated(CreateSourceCatalogBase, RecipeStepBase):
    """Create Source Catalog from Calibrated image."""

    dummy_createsourcecatalogcalibrated = persistent("dummy [][None]", int, 42)

    inputs = persistent("Fully calibrated image. [][None]", Calibrated, None)
