# -*- coding: utf-8 -*-
"""CreateSourceCatalogHCI.

This module is part of the CPL code descriptoin.

There are two kinds of classes in the recipe package:
- Recipe: with a one-to-one correspondence to the CPL recipes.
- RecipeStep: with a (kinda) one-to-one correspondence to DRL functions.

The Recipe instances effectively are process parameter classes in
WISE terminology.

This file is automatically generated. Do not modify!
"""

from micado.recipes.CreateSourceCatalogFinal import CreateSourceCatalogFinal, persistent
from micado.dataitems.DetrendFinalHCIOffset import DetrendFinalHCIOffset
from micado.main.RecipeStepExtra import RecipeStepBase


class CreateSourceCatalogHCI(CreateSourceCatalogFinal, RecipeStepBase):
    """Create Source Catalog from DetrendHCI."""

    dummy_createsourcecataloghci = persistent("dummy [][None]", int, 42)

    inputs = persistent(
        "Observation of detrended bright star exposure through calibration filter, "
        "shifted star outside the coronagraph mask [][None]",
        DetrendFinalHCIOffset,
        None,
    )
