# -*- coding: utf-8 -*-
"""CreateSourceCatalogIllum.

This module is part of the CPL code descriptoin.

There are two kinds of classes in the recipe package:
- Recipe: with a one-to-one correspondence to the CPL recipes.
- RecipeStep: with a (kinda) one-to-one correspondence to DRL functions.

The Recipe instances effectively are process parameter classes in
WISE terminology.

This file is automatically generated. Do not modify!
"""

from micado.main.Cat import Cat, persistent
from micado.recipes.SubtractBackground import SubtractBackground
from micado.main.RecipeStepExtra import RecipeStepBase


class CreateSourceCatalogIllum(Cat, RecipeStepBase):
    """Create Source Catalog from DetrendIllum."""

    dummy_createsourcecatalogillum = persistent("dummy [][None]", int, 42)

    inputs = persistent(
        "fully detrended, background subtracted, image [][None]",
        SubtractBackground,
        None,
    )
