# -*- coding: utf-8 -*-
"""DeriveBackground.

This module is part of the CPL code descriptoin.

There are two kinds of classes in the recipe package:
- Recipe: with a one-to-one correspondence to the CPL recipes.
- RecipeStep: with a (kinda) one-to-one correspondence to DRL functions.

The Recipe instances effectively are process parameter classes in
WISE terminology.

This file is automatically generated. Do not modify!
"""

from micado.main.Img import Img, persistent
from micado.dataitems.DetrendBkgfield import DetrendBkgfield
from micado.main.RecipeStepExtra import RecipeStepBase


class DeriveBackground(Img, RecipeStepBase):
    """Derive Background.

    TODO: Describe background subtraction.
    """

    dummy_derivebackground = persistent("dummy [][None]", int, 42)

    raw = persistent("4 flatfielded images [][None]", DetrendBkgfield, None)
