# -*- coding: utf-8 -*-
"""DeriveDpsicsDetrend.

This module is part of the CPL code descriptoin.

There are two kinds of classes in the recipe package:
- Recipe: with a one-to-one correspondence to the CPL recipes.
- RecipeStep: with a (kinda) one-to-one correspondence to DRL functions.

The Recipe instances effectively are process parameter classes in
WISE terminology.

This file is automatically generated. Do not modify!
"""

from micado.main.RecipeStep import RecipeStep, persistent
from micado.dataitems.DpsicsOptSciBase import DpsicsOptSciBase
from micado.dataitems.MasterDark import MasterDark
from micado.dataitems.MasterFlat import MasterFlat


class DeriveDpsicsDetrend(RecipeStep):
    """Detrend for online HCI centering using forevers."""

    dummy_derivedpsicsdetrend = persistent("dummy [][None]", int, 42)

    raw = persistent("raw [][None]", DpsicsOptSciBase, None)

    masterdark = persistent("MasterDark. [][None]", MasterDark, None)

    masterflat = persistent("MasterFlat. [][None]", MasterFlat, None)
