# -*- coding: utf-8 -*-
"""DeriveIllumCorr.

This module is part of the CPL code descriptoin.

There are two kinds of classes in the recipe package:
- Recipe: with a one-to-one correspondence to the CPL recipes.
- RecipeStep: with a (kinda) one-to-one correspondence to DRL functions.

The Recipe instances effectively are process parameter classes in
WISE terminology.

This file is automatically generated. Do not modify!
"""

from micado.main.Tab import Tab, persistent
from micado.recipes.CreateSourceCatalogIllum import CreateSourceCatalogIllum
from micado.dataitems.PhotomRef import PhotomRef
from micado.main.RecipeStepExtra import RecipeStepBase


class DeriveIllumCorr(Tab, RecipeStepBase):
    """Derive illumination correction.

    Creates the IllumCorr data product by applying the procedure described in
    ILLUMCORR_TAB recipe.
    """

    dummy_deriveillumcorr = persistent("dummy [][None]", int, 42)

    previous = persistent("Source Catalog [][None]", CreateSourceCatalogIllum, None)

    photomref = persistent("Photometric reference catalog [][None]", PhotomRef, None)
