# -*- coding: utf-8 -*-
"""DeriveNonlinearity.

This module is part of the CPL code descriptoin.

There are two kinds of classes in the recipe package:
- Recipe: with a one-to-one correspondence to the CPL recipes.
- RecipeStep: with a (kinda) one-to-one correspondence to DRL functions.

The Recipe instances effectively are process parameter classes in
WISE terminology.

This file is automatically generated. Do not modify!
"""

from micado.main.Img import Img, persistent
from micado.dataitems.DepersistedNonlin import DepersistedNonlin
from micado.main.RecipeStepExtra import RecipeStepBase


class DeriveNonlinearity(Img, RecipeStepBase):
    """Derive Nonlinearity Correction."""

    dummy_derivenonlinearity = persistent("dummy [][None]", int, 42)

    flats = persistent(
        "A list of Flats with different exposure times. [][None]", DepersistedNonlin, []
    )
