# -*- coding: utf-8 -*-
"""DerivePersistence.

This module is part of the CPL code descriptoin.

There are two kinds of classes in the recipe package:
- Recipe: with a one-to-one correspondence to the CPL recipes.
- RecipeStep: with a (kinda) one-to-one correspondence to DRL functions.

The Recipe instances effectively are process parameter classes in
WISE terminology.

This file is automatically generated. Do not modify!
"""

from micado.main.Img import Img, persistent
from micado.main.Raw import Raw
from micado.main.RecipeStepExtra import RecipeStepBase


class DerivePersistence(Img, RecipeStepBase):
    """Derive Persistence Correction."""

    dummy_derivepersistence = persistent("dummy [][None]", int, 42)

    raw = persistent("The raw to create the persistence map for. [][None]", Raw, None)

    raws = persistent("Raw data. [][None]", Raw, [])
