# -*- coding: utf-8 -*-
"""SpatialCrossmatch.

This module is part of the CPL code descriptoin.

There are two kinds of classes in the recipe package:
- Recipe: with a one-to-one correspondence to the CPL recipes.
- RecipeStep: with a (kinda) one-to-one correspondence to DRL functions.

The Recipe instances effectively are process parameter classes in
WISE terminology.

This file is automatically generated. Do not modify!
"""

from micado.main.Cat import Cat, persistent
from micado.recipes.CorrectGeomDistortion import CorrectGeomDistortion
from micado.dataitems.AstromRef import AstromRef
from micado.main.RecipeStepExtra import RecipeStepBase


class SpatialCrossmatch(Cat, RecipeStepBase):
    """SpatialCrossmatch."""

    dummy_spatialcrossmatch = persistent("dummy [][None]", int, 42)

    previous = persistent("None [][None]", CorrectGeomDistortion, None)

    astromref = persistent("Astrometric Reference [][None]", AstromRef, None)
