# -*- coding: utf-8 -*-
"""SpatialCrossmatchPhotom.

This module is part of the CPL code descriptoin.

There are two kinds of classes in the recipe package:
- Recipe: with a one-to-one correspondence to the CPL recipes.
- RecipeStep: with a (kinda) one-to-one correspondence to DRL functions.

The Recipe instances effectively are process parameter classes in
WISE terminology.

This file is automatically generated. Do not modify!
"""

from micado.main.Cat import Cat, persistent
from micado.recipes.CreateSourceCatalogAstrom import CreateSourceCatalogAstrom
from micado.dataitems.PhotomRef import PhotomRef
from micado.main.RecipeStepExtra import RecipeStepBase


class SpatialCrossmatchPhotom(Cat, RecipeStepBase):
    """SpatialCrossmatch for photometric calibration."""

    dummy_spatialcrossmatchphotom = persistent("dummy [][None]", int, 42)

    previous = persistent("None [][None]", CreateSourceCatalogAstrom, None)

    photomref = persistent("Photometric Reference [][None]", PhotomRef, None)
