# -*- coding: utf-8 -*-
"""Test the generation of LaTeX."""
from pathlib import Path

from micado.dataitems.Detrend import Detrend
from micado.dataitems.MasterDark import MasterDark
from micado.toolbox.tex_from_python import (
    get_tex_contents_dataitem_pro,
    get_calibration_summary_tex,
)

PATH_HERE = Path(__file__).resolve().parent

# This file is copied from docs/source/generated.
stex_masterdark_expected = open(PATH_HERE / f"{MasterDark.__name__}.tex").read()

stex_detrend_expected = open(PATH_HERE / f"{Detrend.__name__}.tex").read()


def test_get_tex_contents_dataitem():
    """Test the get_tex_contents_dataitem() function."""
    stex_masterdark = get_tex_contents_dataitem_pro(MasterDark)
    assert stex_masterdark_expected.strip() == stex_masterdark.strip()
    stex_detrend = get_tex_contents_dataitem_pro(Detrend)
    assert stex_detrend_expected.strip() == stex_detrend.strip()


def test_summary():
    """Create calibration summary table."""
    # TODO: actually test something here?
    # For now, just compare with calibration plan.
    get_calibration_summary_tex()
